libzypp 17.37.10

Xml.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <vector>`
`#include <list>`
`#include <set>`
`#include <map>`
`#include <zypp-core/base/Easy.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/parser/xml/XmlEscape.h>`

Go to the source code of this file.

## Classes
class | zypp::xmlout::NodeAttr
| (Key, Value) string pair of XML node attributes More...
class | zypp::xmlout::Node
| RAII writing a nodes start/end tag. More...
struct | zypp::xmlout::Node::OptionalContentType
| Ctor arg type. More...
struct | zypp::xmlout::Node::HasContentException
| Exception type thrown if attributes are added to a closed start node. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::xmlout

## Functions
std::ostream & | zypp::xmlout::node (std::ostream &out_r, const std::string &name_r, Node::Attr attr_r)
ZYPP_API detail::EscapedString | zypp::xmlout::escape (const std::string &in_r)
| Escape xml special charaters (& -> &; from IoBind library).
std::string | zypp::xmlout::unescape (const std::string &in_r) ZYPP_API
| Unescape xml special charaters (& -> &; from IoBind library)
Default dumpAsXmlOn based on asString.
template<class Tp>
std::ostream & | zypp::dumpAsXmlOn (std::ostream &str, const Tp &obj, const std::string &name_r)